using System.Runtime.Serialization;

namespace Siger.Middlelayer.Redis.RedisEntities
{
    [DataContract]
    public class ToolMachineCycleUsage: RedisEntityBase
    {
        [DataMember(Name = "changeTime")]
        public string changeTime { get; set; }
        [DataMember(Name = "cycleTime")]
        public int cycleTime { get; set; }
        [DataMember(Name = "lastTime")]
        public string lastTime { get; set; }
        [DataMember(Name = "machine")]
        public string machine { get; set; }
        [DataMember(Name = "pn")]
        public string pn { get; set; }
        [DataMember(Name = "spindle")]
        public int spindle { get; set; }
        [DataMember(Name = "spn")]
        public string spn { get; set; }
        [DataMember(Name = "tool")]
        public int tool { get; set; }
        [DataMember(Name = "usage")]
        public int usage { get; set; }
        [DataMember(Name = "tl")]
        public int tl { get; set; }
        [DataMember(Name = "tc")]
        public int tc { get; set; }
        [DataMember(Name = "alarm")]
        public int alarm { get; set; }
    }
}
